# Retrieve a dispute

Get a dispute by ID.

Read our [disputes guide](https://docs.moov.io/guides/money-movement/accept-payments/card-acceptance/disputes/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/transfers.read` scope.

## Request

### GET

/accounts/{accountID}/disputes/{disputeID}

### Example Requests

#### Curl
```shell
curl -X GET "https://api.moov.io/accounts/{accountID}/disputes/{disputeID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

#### Go
```go
mc, _ := moov.NewClient()

var accountID string
var disputeID string

mc.GetDispute(ctx, accountID, disputeID)
```

#### TypeScript
```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.disputes.get({
    accountID: "44d3e9dd-7128-4b00-8cd9-09d3242e5bcf",
    disputeID: "4be10af9-ddeb-428b-8333-7430afce142f",
  });

console.log(result);
}

run();
```

#### PHP
```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->disputes->get(
    accountID: '44d3e9dd-7128-4b00-8cd9-09d3242e5bcf',
    disputeID: '4be10af9-ddeb-428b-8333-7430afce142f'
);

if ($response->dispute !== null) {
    // handle response
}
```

#### Java
```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetDisputeResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetDisputeResponse res = sdk.disputes().get()
                .accountID("44d3e9dd-7128-4b00-8cd9-09d3242e5bcf")
                .disputeID("4be10af9-ddeb-428b-8333-7430afce142f")
                .call();

if (res.dispute().isPresent()) {
            System.out.println(res.dispute().get());
        }
    }
}
```

#### Python
```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.disputes.get(account_id="44d3e9dd-7128-4b00-8cd9-09d3242e5bcf", dispute_id="4be10af9-ddeb-428b-8333-7430afce142f")

# Handle response
    print(res)
```

#### Ruby
```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.disputes.get(account_id: '44d3e9dd-7128-4b00-8cd9-09d3242e5bcf', dispute_id: '4be10af9-ddeb-428b-8333-7430afce142f')

unless res.dispute.nil?
  # handle response
end
```

#### C#
```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Disputes.GetAsync(
    accountID: "44d3e9dd-7128-4b00-8cd9-09d3242e5bcf",
    disputeID: "4be10af9-ddeb-428b-8333-7430afce142f"
);

// handle response
```

## Example Response
```json
{
  "amount": {
    "currency": "USD",
    "value": 257753
  },
  "createdOn": "2024-12-23T17:55:00Z",
  "disputeID": "6e356108-fdfa-4910-bbe4-1e3c8abf5520",
  "merchantAccountID": "34233b72-780c-4e0e-8b08-cbbe1bc878f8",
  "networkReasonCode": "10.4",
  "phase": "chargeback",
  "respondBy": "2024-12-23T18:55:00Z",
  "status": "response-needed",
  "transfer": {
    "transferID": "ecac148a-917e-4ee0-b46a-c51408939fff"
  }
}
```

### Response Headers

- A unique identifier used to trace requests.

Errors:
- The request contained missing or expired authentication.
- The user is not authorized to make the request.
- The requested resource was not found.
- Request was refused due to rate limiting.
- The request failed due to an unexpected error.
- The request failed because a downstream service failed to respond.

### Versioning
Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

### Detailed explanations
- Details of a card transaction dispute.
- A 3-letter ISO 4217 currency code.
- Quantity in the smallest unit of the specified currency.
- Indicates the card network's category for the dispute.
- The phase of a dispute within the dispute lifecycle.
- The status of a particular dispute.
